## tahoe-lafs 1.9.2

=== Makefile ===

# NOTE: this Makefile requires GNU make

default: build

PYTHON=python
export PYTHON

# setup.py will extend sys.path to include our support/lib/... directory
# itself. It will also create it in the beginning of the 'develop' command.

TAHOE=$(PYTHON) bin/tahoe
SOURCES=src/allmydata src/buildtest static misc bin/tahoe-script.template twisted setup.py

.PHONY: make-version build

# This is necessary only if you want to automatically produce a new
# _version.py file from the current git/darcs history.
make-version:
	$(PYTHON) ./setup.py update_version

.built:
	$(MAKE) build

src/allmydata/_version.py:
	$(MAKE) make-version

# It is unnecessary to have this depend on build or src/allmydata/_version.py,
# since 'setup.py build' always updates the version using 'darcsver --count-all-patches'.
build:
	$(PYTHON) setup.py build
	touch .built

# 'make install' will do the following:
#   build+install tahoe (probably to /usr/lib/pythonN.N/site-packages)
# 'make install PREFIX=/usr/local/stow/tahoe-N.N' will do the same, but to
# a different location

install:
ifdef PREFIX
	mkdir -p $(PREFIX)
	$(PYTHON) ./setup.py install --single-version-externally-managed \
           --prefix=$(PREFIX) --record=./tahoe.files
else
	$(PYTHON) ./setup.py install --single-version-externally-managed
endif


# TESTING

.PHONY: signal-error-deps test check test-coverage quicktest quicktest-coverage
.PHONY: coverage-output get-old-coverage-coverage coverage-delta-output


# you can use 'make test TEST=allmydata.test.test_introducer' to run just
# test_introducer. TEST=allmydata.test.test_client.Basic.test_permute works
# too.
TEST=allmydata

# use 'make test TRIALARGS=--reporter=bwverbose' from buildbot, to
# suppress the ansi color sequences

# It is unnecessary to have this depend on build or src/allmydata/_version.py,
# since 'setup.py test' always updates the version and builds before testing.
test:
	$(PYTHON) setup.py test $(TRIALARGS) -s $(TEST)
	touch .built

check: test

test-coverage: build
	rm -f .coverage
	$(TAHOE) debug trial --reporter=bwverbose-coverage $(TEST)

quicktest:
	$(TAHOE) debug trial $(TRIALARGS) $(TEST)

# code-coverage: install the "coverage" package from PyPI, do "make
# quicktest-coverage" to do a unit test run with coverage-gathering enabled,
# then use "make coverate-output-text" for a brief report, or "make
# coverage-output" for a pretty HTML report. Also see "make .coverage.el" and
# misc/coding_tools/coverage.el for emacs integration.

quicktest-coverage:
	rm -f .coverage
	PYTHONPATH=. $(TAHOE) debug trial --reporter=bwverbose-coverage $(TEST)
# on my laptop, "quicktest" takes 239s, "quicktest-coverage" takes 304s

# --include appeared in coverage-3.4
COVERAGE_OMIT=--include '$(CURDIR)/src/allmydata/*' --omit '$(CURDIR)/src/allmydata/test/*'
coverage-output:
	rm -rf coverage-html
	coverage html -i -d coverage-html $(COVERAGE_OMIT)
	cp .coverage coverage-html/coverage.data
	@echo "now point your browser at coverage-html/index.html"

.PHONY: upload-coverage .coverage.el pyflakes count-lines
.PHONY: check-memory check-memory-once check-speed check-grid
.PHONY: repl test-darcs-boringfile test-clean clean find-trailing-spaces

.coverage.el: .coverage
	$(PYTHON) misc/coding_tools/coverage2el.py

# 'upload-coverage' is meant to be run with an UPLOAD_TARGET=host:/dir setting
ifdef UPLOAD_TARGET

ifndef UPLOAD_HOST
$(error UPLOAD_HOST must be set when using UPLOAD_TARGET)
endif
ifndef COVERAGEDIR
$(error COVERAGEDIR must be set when using UPLOAD_TARGET)
endif

upload-coverage:
	rsync -a coverage-html/ $(UPLOAD_TARGET)
	ssh $(UPLOAD_HOST) make update-tahoe-coverage COVERAGEDIR=$(COVERAGEDIR)
else
upload-coverage:
	echo "this target is meant to be run with UPLOAD_TARGET=host:/path/"
	false
endif

code-checks: build version-and-path check-interfaces check-miscaptures -find-trailing-spaces -check-umids pyflakes

version-and-path:
	$(TAHOE) --version-and-path

check-interfaces:
	$(TAHOE) @misc/coding_tools/check-interfaces.py 2>&1 |tee violations.txt
	@echo

check-miscaptures:
	$(PYTHON) misc/coding_tools/check-miscaptures.py $(SOURCES) 2>&1 |tee miscaptures.txt
	@echo

pyflakes:
	$(PYTHON) -OOu `which pyflakes` $(SOURCES) |sort |uniq
	@echo

check-umids:
	$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py'`
	@echo

-check-umids:
	-$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py'`
	@echo

doc-checks: check-rst

check-rst:
	@for x in `find *.rst docs -name "*.rst"`; do rst2html -v $${x} >/dev/null; done 2>&1 |grep -v 'Duplicate implicit target name:'
	@echo

count-lines:
	@echo -n "files: "
	@find src -name '*.py' |grep -v /build/ |wc -l
	@echo -n "lines: "
	@cat `find src -name '*.py' |grep -v /build/` |wc -l
	@echo -n "TODO: "
	@grep TODO `find src -name '*.py' |grep -v /build/` | wc -l
	@echo -n "XXX: "
	@grep XXX `find src -name '*.py' |grep -v /build/` | wc -l

check-memory: .built
	rm -rf _test_memory
	$(TAHOE) @src/allmydata/test/check_memory.py upload
	$(TAHOE) @src/allmydata/test/check_memory.py upload-self
	$(TAHOE) @src/allmydata/test/check_memory.py upload-POST
	$(TAHOE) @src/allmydata/test/check_memory.py download
	$(TAHOE) @src/allmydata/test/check_memory.py download-GET
	$(TAHOE) @src/allmydata/test/check_memory.py download-GET-slow
	$(TAHOE) @src/allmydata/test/check_memory.py receive

check-memory-once: .built
	rm -rf _test_memory
	$(TAHOE) @src/allmydata/test/check_memory.py $(MODE)

# The check-speed target uses a pre-established client node to run a canned
# set of performance tests against a test network that is also
# pre-established (probably on a remote machine). Provide it with the path to
# a local directory where this client node has been created (and populated
# with the necessary FURLs of the test network). This target will start that
# client with the current code and then run the tests. Afterwards it will
# stop the client.
#
# The 'sleep 5' is in there to give the new client a chance to connect to its
# storageservers, since check_speed.py has no good way of doing that itself.

check-speed: .built
	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
	@echo "stopping any leftover client code"
	-$(TAHOE) stop $(TESTCLIENTDIR)
	$(TAHOE) start $(TESTCLIENTDIR)
	sleep 5
	$(TAHOE) @src/allmydata/test/check_speed.py $(TESTCLIENTDIR)
	$(TAHOE) stop $(TESTCLIENTDIR)

# The check-grid target also uses a pre-established client node, along with a
# long-term directory that contains some well-known files. See the docstring
# in src/allmydata/test/check_grid.py to see how to set this up.
check-grid: .built
	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
	$(TAHOE) @src/allmydata/test/check_grid.py $(TESTCLIENTDIR) bin/tahoe

bench-dirnode: .built
	$(TAHOE) @src/allmydata/test/bench_dirnode.py

# 'make repl' is a simple-to-type command to get a Python interpreter loop
# from which you can type 'import allmydata'
repl:
	$(TAHOE) debug repl

test-darcs-boringfile:
	$(MAKE)
	$(PYTHON) misc/build_helpers/test-darcs-boringfile.py

test-git-ignore:
	$(MAKE)
	$(PYTHON) misc/build_helpers/test-git-ignore.py

test-clean:
	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.old
	$(MAKE)
	$(MAKE) clean
	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.new
	diff allfiles.tmp.old allfiles.tmp.new

# It would be nice if 'make clean' deleted any automatically-generated
# _version.py too, so that 'make clean; make all' could be useable as a
# "what the heck is going on, get me back to a clean state', but we need
# 'make clean' to work on non-darcs trees without destroying useful information.
clean:
	rm -rf build _trial_temp _test_memory .built
	rm -f `find src *.egg -name '*.so' -or -name '*.pyc'`
	rm -rf src/allmydata_tahoe.egg-info
	rm -rf support dist
	rm -rf `ls -d *.egg | grep -vEe"setuptools-|setuptools_darcs-|darcsver-"`
	rm -rf *.pyc
	rm -rf misc/dependencies/build misc/dependencies/temp
	rm -rf misc/dependencies/tahoe_deps.egg-info
	rm -f bin/tahoe bin/tahoe.pyscript

find-trailing-spaces:
	$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

-find-trailing-spaces:
	-$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

# The test-desert-island target grabs the tahoe-deps tarball, unpacks it,
# does a build, then asserts that the build did not try to download anything
# as it ran. Invoke this on a new tree, or after a 'clean', to make sure the
# support/lib/ directory is gone.

fetch-and-unpack-deps:
	test -f tahoe-deps.tar.gz || wget https://tahoe-lafs.org/source/tahoe/deps/tahoe-deps.tar.gz
	rm -rf tahoe-deps
	tar xzf tahoe-deps.tar.gz

test-desert-island:
	$(MAKE) fetch-and-unpack-deps
	$(MAKE) 2>&1 | tee make.out
	$(PYTHON) misc/build_helpers/check-build.py make.out no-downloads


# TARBALL GENERATION
.PHONY: tarballs upload-tarballs
tarballs:
	$(MAKE) make-version
	$(PYTHON) setup.py sdist --formats=bztar,gztar,zip
	$(PYTHON) setup.py sdist --sumo --formats=bztar,gztar,zip

upload-tarballs:
	@if [ "X${BB_BRANCH}" = "Xtrunk" ] || [ "X${BB_BRANCH}" = "X" ]; then for f in dist/allmydata-tahoe-*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi

=== debian/changelog ===
tahoe-lafs (1.9.2-1) unstable; urgency=low

  [ Bert Agaz ]
  * New upstream release (Closes: #680083).
  * Use manpage shipped within upstream release.
  * Stick to upstream dependency on foolscap >= 0.6.3.

 -- Micah Anderson <micah@debian.org>  Wed, 04 Jul 2012 17:52:21 +0200

=== debian/control ===
Source: tahoe-lafs
Section: utils
Priority: optional
Maintainer: Bert Agaz <bertagaz@ptitcanardnoir.org>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~),
 python-twisted
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tahoe/tahoe.git
Homepage: http://tahoe-lafs.org/trac/tahoe

Package: tahoe-lafs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1, python-crypto,
 python-foolscap (>= 0.6.3), python-openssl, python-nevow, python-simplejson,
 python-zfec, python-pycryptopp (>= 0.5.29), python-setuptools, python-mock,
 python-twisted
Description: Secure distributed filesystem
 Tahoe, the Least Authority File System, is a distributed filesystem that
 features high reliability, strong security properties, and a fine-grained
 sharing model. Files are encrypted, signed, erasure-coded, then distributed
 over multiple servers, such that any (configurable) subset of the servers
 will be sufficient to recover the data. The default 3-of-10 configuration
 tolerates up to 7 server failures before data becomes unrecoverable.
 .
 Tahoe offers "provider-independent security": the confidentiality and
 integrity of your data do not depend upon the behavior of the servers. The
 use of erasure-coding means that reliability and availability depend only
 upon a subset of the servers.
 .
 Tahoe files are accessed through a RESTful web API, a human-oriented web
 server interface, and CLI tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=tahoe-lafs

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_prep:
	dh_prep
	mv src/allmydata_tahoe.egg-info src/allmydata_tahoe.egg-info.orig

override_dh_install:
	dh_install
	chmod 755 debian/$(package)/usr/share/munin/plugins/*

	rm -rf src/allmydata_tahoe.egg-info
	mv src/allmydata_tahoe.egg-info.orig src/allmydata_tahoe.egg-info

	# Clean bin/tahoe trick stolen from upstream packaging script.
	head -1 debian/$(package)/usr/bin/tahoe > debian/$(package)/usr/bin/tahoe.new
	echo "from allmydata.scripts import runner" >> debian/$(package)/usr/bin/tahoe.new
	echo "runner.run()" >> debian/$(package)//usr/bin/tahoe.new
	chmod +x debian/$(package)/usr/bin/tahoe.new
	mv debian/$(package)/usr/bin/tahoe.new debian/$(package)/usr/bin/tahoe

override_dh_installdocs:
	dh_installdocs
	mv debian/$(package)/usr/share/doc/$(package)/NEWS.rst \
		debian/$(package)/usr/share/doc/$(package)/changelog

## tahoe-lafs 1.10.0

=== Makefile ===
--- 
+++ 
@@ -75,6 +75,18 @@
 quicktest:
 	$(TAHOE) debug trial $(TRIALARGS) $(TEST)
 
+# "make tmpfstest" may be a faster way of running tests on Linux. It works best when you have
+# at least 330 MiB of free physical memory (to run the whole test suite). Since it uses sudo
+# to mount/unmount the tmpfs filesystem, it might prompt for your password.
+tmpfstest:
+	time make _tmpfstest 'TMPDIR=$(shell mktemp -d --tmpdir=.)'
+
+_tmpfstest:
+	sudo mount -t tmpfs -o size=400m tmpfs '$(TMPDIR)'
+	-$(TAHOE) debug trial --rterrors '--temp-directory=$(TMPDIR)/_trial_temp' $(TRIALARGS) $(TEST)
+	sudo umount '$(TMPDIR)'
+	rmdir '$(TMPDIR)'
+
 # code-coverage: install the "coverage" package from PyPI, do "make
 # quicktest-coverage" to do a unit test run with coverage-gathering enabled,
 # then use "make coverate-output-text" for a brief report, or "make
@@ -134,15 +146,15 @@
 	@echo
 
 pyflakes:
-	$(PYTHON) -OOu `which pyflakes` $(SOURCES) |sort |uniq
+	@$(PYTHON) -OOu `which pyflakes` $(SOURCES) |sort |uniq
 	@echo
 
 check-umids:
-	$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py'`
+	$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
 	@echo
 
 -check-umids:
-	-$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py'`
+	-$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
 	@echo
 
 doc-checks: check-rst
@@ -204,6 +216,10 @@
 
 bench-dirnode: .built
 	$(TAHOE) @src/allmydata/test/bench_dirnode.py
+
+# the provisioning tool runs as a stand-alone webapp server
+run-provisioning-tool: .built
+	$(TAHOE) @misc/operations_helpers/provisioning/run.py
 
 # 'make repl' is a simple-to-type command to get a Python interpreter loop
 # from which you can type 'import allmydata'
@@ -254,9 +270,9 @@
 # support/lib/ directory is gone.
 
 fetch-and-unpack-deps:
-	test -f tahoe-deps.tar.gz || wget https://tahoe-lafs.org/source/tahoe/deps/tahoe-deps.tar.gz
+	test -f tahoe-deps.tar.gz || wget https://tahoe-lafs.org/source/tahoe-lafs/deps/tahoe-lafs-deps.tar.gz
 	rm -rf tahoe-deps
-	tar xzf tahoe-deps.tar.gz
+	tar xzf tahoe-lafs-deps.tar.gz
 
 test-desert-island:
 	$(MAKE) fetch-and-unpack-deps
@@ -272,4 +288,4 @@
 	$(PYTHON) setup.py sdist --sumo --formats=bztar,gztar,zip
 
 upload-tarballs:
-	@if [ "X${BB_BRANCH}" = "Xtrunk" ] || [ "X${BB_BRANCH}" = "X" ]; then for f in dist/allmydata-tahoe-*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi
+	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then for f in dist/allmydata-tahoe-*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi

=== debian/changelog ===
tahoe-lafs (1.10.0-2) unstable; urgency=medium

  [Ramakrishnan Muthukrishnan]
  * Include unminified sources for d3 and jquery. (Closes: #735940)
  * New co-maintainer (Ramakrishnan Muthukrishnan).

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Fri, 02 May 2014 23:47:07 +0530

tahoe-lafs (1.10.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: tahoe-lafs needs pypcryptopp version 0.6.0 or above,
    else it gives a run-time error. (Closes: #738952)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 17 Apr 2014 12:57:05 +0530

tahoe-lafs (1.10.0-1) unstable; urgency=low

  [Bert Agaz]
  * New upstream release.
  * Add missing dependency on net-tools (Closes: #683331).
  * Import upstream patch to support kFreeBSD. (Closes: #700239).
  * Standards version bump.
  * Add sysvinit script (Closes: #652003).
  * Include a README.Debian to document how to manage nodes in Debian.
  * Use dh_installchangelogs to properly install upstream NEWS.rst.

 -- Micah Anderson <micah@debian.org>  Fri, 17 Jan 2014 21:07:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Bert Agaz <bertagaz@ptitcanardnoir.org>
-Uploaders: Micah Anderson <micah@debian.org>
+Uploaders: Micah Anderson <micah@debian.org>, 
+           Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
 Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~),
  python-twisted
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tahoe/tahoe.git
 Homepage: http://tahoe-lafs.org/trac/tahoe
@@ -14,8 +15,8 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1, python-crypto,
  python-foolscap (>= 0.6.3), python-openssl, python-nevow, python-simplejson,
- python-zfec, python-pycryptopp (>= 0.5.29), python-setuptools, python-mock,
- python-twisted
+ python-zfec, python-pycryptopp (>= 0.6.0), python-setuptools, python-mock,
+ python-twisted, net-tools
 Description: Secure distributed filesystem
  Tahoe, the Least Authority File System, is a distributed filesystem that
  features high reliability, strong security properties, and a fine-grained

## tahoe-lafs 1.10.1

=== Makefile ===

# NOTE: this Makefile requires GNU make

default: build

PYTHON=python
export PYTHON

# setup.py will extend sys.path to include our support/lib/... directory
# itself. It will also create it in the beginning of the 'develop' command.

TAHOE=$(PYTHON) bin/tahoe
SOURCES=src/allmydata src/buildtest static misc bin/tahoe-script.template setup.py
APPNAME=allmydata-tahoe

# This is necessary only if you want to automatically produce a new
# _version.py file from the current git history (without doing a build).
.PHONY: make-version
make-version:
	$(PYTHON) ./setup.py update_version

.built:
	$(MAKE) build

src/allmydata/_version.py:
	$(MAKE) make-version

# It is unnecessary to have this depend on build or src/allmydata/_version.py,
# since 'setup.py build' always updates the version.
.PHONY: build
build:
	$(PYTHON) setup.py build
	touch .built

# Build OS X pkg packages.
.PHONY: build-osx-pkg test-osx-pkg upload-osx-pkg
build-osx-pkg: build
	misc/build_helpers/build-osx-pkg.sh $(APPNAME)

test-osx-pkg:
	$(PYTHON) misc/build_helpers/test-osx-pkg.py

upload-osx-pkg:
	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then \
	  flappclient --furlfile ~/.tahoe-osx-pkg-upload.furl upload-file tahoe-lafs-*-osx.pkg; \
	 else \
	  echo not uploading tahoe-lafs-osx-pkg because this is not trunk but is branch \"${BB_BRANCH}\" ; \
	fi

# TESTING

# you can use 'make test TEST=allmydata.test.test_introducer' to run just
# test_introducer. TEST=allmydata.test.test_client.Basic.test_permute works
# too.
TEST=allmydata

# It is unnecessary to have this depend on build or src/allmydata/_version.py,
# since 'setup.py test' always updates the version and builds before testing.
.PHONY: test
test:
	$(PYTHON) setup.py test $(TRIALARGS) -s $(TEST)
	touch .built

.PHONY: check
check: test

.PHONY: quicktest
quicktest: make-version
	$(TAHOE) debug trial $(TRIALARGS) $(TEST)

# "make tmpfstest" may be a faster way of running tests on Linux. It works best when you have
# at least 330 MiB of free physical memory (to run the whole test suite). Since it uses sudo
# to mount/unmount the tmpfs filesystem, it might prompt for your password.
.PHONY: tmpfstest
tmpfstest:
	time make _tmpfstest 'TMPDIR=$(shell mktemp -d --tmpdir=.)'

.PHONY: _tmpfstest
_tmpfstest: make-version
	sudo mount -t tmpfs -o size=400m tmpfs '$(TMPDIR)'
	-$(TAHOE) debug trial --rterrors '--temp-directory=$(TMPDIR)/_trial_temp' $(TRIALARGS) $(TEST)
	sudo umount '$(TMPDIR)'
	rmdir '$(TMPDIR)'


# code coverage: install the "coverage" package from PyPI, do "make test-coverage" to
# do a unit test run with coverage-gathering enabled, then use "make coverage-output" to
# generate an HTML report. Also see "make .coverage.el" and misc/coding_tools/coverage.el
# for Emacs integration.

# This might need to be python-coverage on Debian-based distros.
COVERAGE=coverage

COVERAGEARGS=--branch --source=src/allmydata

# --include appeared in coverage-3.4
COVERAGE_OMIT=--include '$(CURDIR)/src/allmydata/*' --omit '$(CURDIR)/src/allmydata/test/*'

.PHONY: test-coverage
test-coverage: build
	rm -f .coverage
	$(TAHOE) '@$(COVERAGE)' run $(COVERAGEARGS) @tahoe debug trial $(TRIALARGS) $(TEST)

.PHONY: coverage-output
coverage-output:
	rm -rf coverage-html
	coverage html -i -d coverage-html $(COVERAGE_OMIT)
	cp .coverage coverage-html/coverage.data
	@echo "now point your browser at coverage-html/index.html"

.coverage.el: .coverage
	$(PYTHON) misc/coding_tools/coverage2el.py


.PHONY: code-checks
code-checks: build version-and-path check-interfaces check-miscaptures -find-trailing-spaces -check-umids pyflakes

.PHONY: version-and-path
version-and-path:
	$(TAHOE) --version-and-path

.PHONY: check-interfaces
check-interfaces:
	$(TAHOE) @misc/coding_tools/check-interfaces.py 2>&1 |tee violations.txt
	@echo

.PHONY: check-miscaptures
check-miscaptures:
	$(PYTHON) misc/coding_tools/check-miscaptures.py $(SOURCES) 2>&1 |tee miscaptures.txt
	@echo

.PHONY: pyflakes
pyflakes:
	@$(PYTHON) -OOu `which pyflakes` $(SOURCES) |sort |uniq
	@echo

.PHONY: check-umids
check-umids:
	$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
	@echo

.PHONY: -check-umids
-check-umids:
	-$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
	@echo

.PHONY: doc-checks
doc-checks: check-rst

.PHONY: check-rst
check-rst:
	@for x in `find *.rst docs -name "*.rst"`; do rst2html -v $${x} >/dev/null; done 2>&1 |grep -v 'Duplicate implicit target name:'
	@echo

.PHONY: count-lines
count-lines:
	@echo -n "files: "
	@find src -name '*.py' |grep -v /build/ |wc -l
	@echo -n "lines: "
	@cat `find src -name '*.py' |grep -v /build/` |wc -l
	@echo -n "TODO: "
	@grep TODO `find src -name '*.py' |grep -v /build/` | wc -l
	@echo -n "XXX: "
	@grep XXX `find src -name '*.py' |grep -v /build/` | wc -l

.PHONY: check-memory
check-memory: .built
	rm -rf _test_memory
	$(TAHOE) @src/allmydata/test/check_memory.py upload
	$(TAHOE) @src/allmydata/test/check_memory.py upload-self
	$(TAHOE) @src/allmydata/test/check_memory.py upload-POST
	$(TAHOE) @src/allmydata/test/check_memory.py download
	$(TAHOE) @src/allmydata/test/check_memory.py download-GET
	$(TAHOE) @src/allmydata/test/check_memory.py download-GET-slow
	$(TAHOE) @src/allmydata/test/check_memory.py receive

.PHONY: check-memory-once
check-memory-once: .built
	rm -rf _test_memory
	$(TAHOE) @src/allmydata/test/check_memory.py $(MODE)

# The check-speed target uses a pre-established client node to run a canned
# set of performance tests against a test network that is also
# pre-established (probably on a remote machine). Provide it with the path to
# a local directory where this client node has been created (and populated
# with the necessary FURLs of the test network). This target will start that
# client with the current code and then run the tests. Afterwards it will
# stop the client.
#
# The 'sleep 5' is in there to give the new client a chance to connect to its
# storageservers, since check_speed.py has no good way of doing that itself.

.PHONY: check-speed
check-speed: .built
	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
	@echo "stopping any leftover client code"
	-$(TAHOE) stop $(TESTCLIENTDIR)
	$(TAHOE) start $(TESTCLIENTDIR)
	sleep 5
	$(TAHOE) @src/allmydata/test/check_speed.py $(TESTCLIENTDIR)
	$(TAHOE) stop $(TESTCLIENTDIR)

# The check-grid target also uses a pre-established client node, along with a
# long-term directory that contains some well-known files. See the docstring
# in src/allmydata/test/check_grid.py to see how to set this up.
.PHONY: check-grid
check-grid: .built
	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
	$(TAHOE) @src/allmydata/test/check_grid.py $(TESTCLIENTDIR) bin/tahoe

.PHONY: bench-dirnode
bench-dirnode: .built
	$(TAHOE) @src/allmydata/test/bench_dirnode.py

# the provisioning tool runs as a stand-alone webapp server
.PHONY: run-provisioning-tool
run-provisioning-tool: .built
	$(TAHOE) @misc/operations_helpers/provisioning/run.py

# 'make repl' is a simple-to-type command to get a Python interpreter loop
# from which you can type 'import allmydata'
.PHONY: repl
repl:
	$(TAHOE) debug repl

.PHONY: test-get-ignore
test-git-ignore:
	$(MAKE)
	$(PYTHON) misc/build_helpers/test-git-ignore.py

.PHONY: test-clean
test-clean:
	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.old
	$(MAKE)
	$(MAKE) distclean
	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.new
	diff allfiles.tmp.old allfiles.tmp.new

# It would be nice if 'make clean' deleted any automatically-generated
# _version.py too, so that 'make clean; make all' could be useable as a
# "what the heck is going on, get me back to a clean state', but we need
# 'make clean' to work on non-checkout trees without destroying useful information.
# Use 'make distclean' instead to delete all generated files.
.PHONY: clean
clean:
	rm -rf build _trial_temp _test_memory .built
	rm -f `find src *.egg -name '*.so' -or -name '*.pyc'`
	rm -rf support dist
	rm -rf `ls -d *.egg | grep -vEe"setuptools-|setuptools_darcs-|darcsver-"`
	rm -rf *.pyc
	rm -rf misc/dependencies/build misc/dependencies/temp
	rm -rf misc/dependencies/tahoe_deps.egg-info
	rm -f bin/tahoe bin/tahoe.pyscript
	rm -f *.pkg

.PHONY: distclean
distclean: clean
	rm -rf src/allmydata_tahoe.egg-info
	rm -f src/allmydata/_version.py
	rm -f src/allmydata/_appname.py


.PHONY: find-trailing-spaces
find-trailing-spaces:
	$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

.PHONY: -find-trailing-spaces
-find-trailing-spaces:
	-$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

# The test-desert-island target grabs the tahoe-deps tarball, unpacks it,
# does a build, then asserts that the build did not try to download anything
# as it ran. Invoke this on a new tree, or after a 'clean', to make sure the
# support/lib/ directory is gone.

.PHONY: fetch-and-unpack-deps
fetch-and-unpack-deps:
	test -f tahoe-deps.tar.gz || wget https://tahoe-lafs.org/source/tahoe-lafs/deps/tahoe-lafs-deps.tar.gz
	rm -rf tahoe-deps
	tar xzf tahoe-lafs-deps.tar.gz

.PHONY: test-desert-island
test-desert-island:
	$(MAKE) fetch-and-unpack-deps
	$(MAKE) 2>&1 | tee make.out
	$(PYTHON) misc/build_helpers/check-build.py make.out no-downloads


# TARBALL GENERATION
.PHONY: tarballs
tarballs:
	$(MAKE) make-version
	$(PYTHON) setup.py sdist --formats=bztar,gztar,zip
	$(PYTHON) setup.py sdist --sumo --formats=bztar,gztar,zip

.PHONY: upload-tarballs
upload-tarballs:
	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then for f in dist/$(APPNAME)-*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi

=== debian/changelog ===
tahoe-lafs (1.10.1-2) unstable; urgency=medium

  * debian/pyversions: depend on 2.7 or above, as 2.6 is no longer
    available in sid (Closes: #790022).

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Fri, 26 Jun 2015 16:29:43 +0530

tahoe-lafs (1.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Tue, 16 Jun 2015 08:52:28 +0530

=== debian/control ===
Source: tahoe-lafs
Section: utils
Priority: optional
Maintainer: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
Uploaders: Micah Anderson <micah@debian.org>, Bert Agaz <bertagaz@ptitcanardnoir.org>
Build-Depends: debhelper (>= 9), python-setuptools, python2.7-dev,
 python-twisted (>= 13.0.0), dh-python
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tahoe/tahoe.git
Homepage: http://tahoe-lafs.org/trac/tahoe

Package: tahoe-lafs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1 (>= 0.1.4),
 python-crypto (>= 2.6), python-foolscap (>= 0.8.0), python-openssl (>= 0.14),
 python-nevow (>= 0.11.1), python-simplejson (>= 1.4), python-zfec (>= 1.1.0),
 python-pycryptopp (>= 0.6.0), python-setuptools, python-mock (>= 0.8.0),
 python-twisted (>= 13.0.0), net-tools
Description: Secure distributed file store
 Tahoe, the Least Authority File Store, is a distributed filesystem that
 features high reliability, strong security properties, and a fine-grained
 sharing model. Files are encrypted, signed, erasure-coded, then distributed
 over multiple servers, such that any (configurable) subset of the servers
 will be sufficient to recover the data. The default 3-of-10 configuration
 tolerates up to 7 server failures before data becomes unrecoverable.
 .
 Tahoe offers "provider-independent security": the confidentiality and
 integrity of your data do not depend upon the behavior of the servers. The
 use of erasure-coding means that reliability and availability depend only
 upon a subset of the servers.
 .
 Tahoe files are accessed through a RESTful web API, a human-oriented web
 server interface, and CLI tools.

## tahoe-lafs 1.10.2

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	$(PYTHON) misc/build_helpers/test-osx-pkg.py
 
 upload-osx-pkg:
+	@echo "uploading to ~tahoe-tarballs/OS-X-packages/ via flappserver"
 	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then \
 	  flappclient --furlfile ~/.tahoe-osx-pkg-upload.furl upload-file tahoe-lafs-*-osx.pkg; \
 	 else \
@@ -287,6 +288,9 @@
 	$(MAKE) 2>&1 | tee make.out
 	$(PYTHON) misc/build_helpers/check-build.py make.out no-downloads
 
+.PHONY: test-pip-install
+test-pip-install:
+	$(PYTHON) misc/build_helpers/test-pip-install.py
 
 # TARBALL GENERATION
 .PHONY: tarballs

=== debian/changelog ===
tahoe-lafs (1.10.2-2) unstable; urgency=medium

  * debian/control: add the missing dependency of python-characteristic

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 16 Sep 2015 11:09:30 +0530

tahoe-lafs (1.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Fri, 07 Aug 2015 11:13:07 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
 Uploaders: Micah Anderson <micah@debian.org>, Bert Agaz <bertagaz@ptitcanardnoir.org>
-Build-Depends: debhelper (>= 9), python-setuptools, python2.7-dev,
+Build-Depends: debhelper (>= 9), python-setuptools, python-dev,
  python-twisted (>= 13.0.0), dh-python
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
@@ -15,8 +15,8 @@
 Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1 (>= 0.1.4),
  python-crypto (>= 2.6), python-foolscap (>= 0.8.0), python-openssl (>= 0.14),
  python-nevow (>= 0.11.1), python-simplejson (>= 1.4), python-zfec (>= 1.1.0),
- python-pycryptopp (>= 0.6.0), python-setuptools, python-mock (>= 0.8.0),
- python-twisted (>= 13.0.0), net-tools
+ python-pycryptopp (>= 0.6.0), python-setuptools,
+ python-twisted (>= 13.0.0), python-characteristic (>= 14.0.0), net-tools
 Description: Secure distributed file store
  Tahoe, the Least Authority File Store, is a distributed filesystem that
  features high reliability, strong security properties, and a fine-grained

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=tahoe-lafs

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_prep:
	dh_prep
	mv src/allmydata_tahoe.egg-info src/allmydata_tahoe.egg-info.orig

override_dh_install:
	dh_install
	chmod 755 debian/$(package)/usr/share/munin/plugins/*

	rm -rf src/allmydata_tahoe.egg-info
	mv src/allmydata_tahoe.egg-info.orig src/allmydata_tahoe.egg-info

override_dh_installdocs:
	dh_installdocs
	dh_installchangelogs -k NEWS.rst

=== debian/watch ===
version=3

# The "SUMO" releases are the same as the normal releases, except they
# ship with the Python dependencies bundled. Obviously because Debian
# can specify dependencies, this is redundant, so we filter SUMO out.

opts="dversionmangle=s/allmydata-tahoe/tahoe-lafs/,uversionmangle=s/-SUMO//" \
 http://tahoe-lafs.org/source/tahoe-lafs/releases/allmydata-tahoe-(.+)\.tar\.gz

## tahoe-lafs 1.11.0

=== Makefile ===

# NOTE: this Makefile requires GNU make

default:
	@echo "no default target"

PYTHON=python
export PYTHON
PYFLAKES=pyflakes
export PYFLAKES

SOURCES=src/allmydata static misc setup.py
APPNAME=tahoe-lafs

# This is necessary only if you want to automatically produce a new
# _version.py file from the current git history (without doing a build).
.PHONY: make-version
make-version:
	$(PYTHON) ./setup.py update_version

.built:
	$(MAKE) build

src/allmydata/_version.py:
	$(MAKE) make-version

# Build OS X pkg packages.
.PHONY: build-osx-pkg test-osx-pkg upload-osx-pkg
build-osx-pkg:
	misc/build_helpers/build-osx-pkg.sh $(APPNAME)

test-osx-pkg:
	$(PYTHON) misc/build_helpers/test-osx-pkg.py

upload-osx-pkg:
	@echo "uploading to ~tahoe-tarballs/OS-X-packages/ via flappserver"
	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then \
	  flappclient --furlfile ~/.tahoe-osx-pkg-upload.furl upload-file tahoe-lafs-*-osx.pkg; \
	 else \
	  echo not uploading tahoe-lafs-osx-pkg because this is not trunk but is branch \"${BB_BRANCH}\" ; \
	fi


# code coverage-based testing is disabled temporarily, as we switch to tox.
# This will eventually be added to a tox environment. The following comments
# and variable settings are retained as notes for that future effort.

## # code coverage: install the "coverage" package from PyPI, do "make
## # test-coverage" to do a unit test run with coverage-gathering enabled, then
## # use "make coverage-output" to generate an HTML report. Also see "make
## # .coverage.el" and misc/coding_tools/coverage.el for Emacs integration.
##
## # This might need to be python-coverage on Debian-based distros.
## COVERAGE=coverage
##
## COVERAGEARGS=--branch --source=src/allmydata
##
## # --include appeared in coverage-3.4
## COVERAGE_OMIT=--include '$(CURDIR)/src/allmydata/*' --omit '$(CURDIR)/src/allmydata/test/*'


.PHONY: code-checks
#code-checks: build version-and-path check-interfaces check-miscaptures -find-trailing-spaces -check-umids pyflakes
code-checks: check-miscaptures -find-trailing-spaces -check-umids pyflakes

.PHONY: check-miscaptures
check-miscaptures:
	$(PYTHON) misc/coding_tools/check-miscaptures.py $(SOURCES) 2>&1 |tee miscaptures.txt
	@echo

.PHONY: pyflakes
pyflakes:
	$(PYFLAKES) $(SOURCES) |sort |uniq
	@echo

.PHONY: check-umids
check-umids:
	$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
	@echo

.PHONY: -check-umids
-check-umids:
	-$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
	@echo

.PHONY: doc-checks
doc-checks: check-rst

.PHONY: check-rst
check-rst:
	@for x in `find *.rst docs -name "*.rst"`; do rst2html -v $${x} >/dev/null; done 2>&1 |grep -v 'Duplicate implicit target name:'
	@echo

.PHONY: count-lines
count-lines:
	@echo -n "files: "
	@find src -name '*.py' |grep -v /build/ |wc -l
	@echo -n "lines: "
	@cat `find src -name '*.py' |grep -v /build/` |wc -l
	@echo -n "TODO: "
	@grep TODO `find src -name '*.py' |grep -v /build/` | wc -l
	@echo -n "XXX: "
	@grep XXX `find src -name '*.py' |grep -v /build/` | wc -l


# Here is a list of testing tools that can be run with 'python' from a
# virtualenv in which Tahoe has been installed. There used to be Makefile
# targets for each, but the exact path to a suitable python is now up to the
# developer. But as a hint, after running 'tox', ./.tox/py27/bin/python will
# probably work.

# src/allmydata/test/bench_dirnode.py
# misc/coding_tools/check-interfaces.py 2>&1 |tee violations.txt


# The check-speed and check-grid targets are disabled, since they depend upon
# the pre-located $(TAHOE) executable that was removed when we switched to
# tox. They will eventually be resurrected as dedicated tox environments.

# The check-speed target uses a pre-established client node to run a canned
# set of performance tests against a test network that is also
# pre-established (probably on a remote machine). Provide it with the path to
# a local directory where this client node has been created (and populated
# with the necessary FURLs of the test network). This target will start that
# client with the current code and then run the tests. Afterwards it will
# stop the client.
#
# The 'sleep 5' is in there to give the new client a chance to connect to its
# storageservers, since check_speed.py has no good way of doing that itself.

##.PHONY: check-speed
##check-speed: .built
##	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
##	@echo "stopping any leftover client code"
##	-$(TAHOE) stop $(TESTCLIENTDIR)
##	$(TAHOE) start $(TESTCLIENTDIR)
##	sleep 5
##	$(TAHOE) @src/allmydata/test/check_speed.py $(TESTCLIENTDIR)
##	$(TAHOE) stop $(TESTCLIENTDIR)

# The check-grid target also uses a pre-established client node, along with a
# long-term directory that contains some well-known files. See the docstring
# in src/allmydata/test/check_grid.py to see how to set this up.
##.PHONY: check-grid
##check-grid: .built
##	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
##	$(TAHOE) @src/allmydata/test/check_grid.py $(TESTCLIENTDIR) bin/tahoe

.PHONY: test-get-ignore
test-git-ignore:
	$(MAKE)
	$(PYTHON) misc/build_helpers/test-git-ignore.py

.PHONY: test-clean
test-clean:
	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.old
	$(MAKE)
	$(MAKE) distclean
	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.new
	diff allfiles.tmp.old allfiles.tmp.new

# It would be nice if 'make clean' deleted any automatically-generated
# _version.py too, so that 'make clean; make all' could be useable as a
# "what the heck is going on, get me back to a clean state', but we need
# 'make clean' to work on non-checkout trees without destroying useful information.
# Use 'make distclean' instead to delete all generated files.
.PHONY: clean
clean:
	rm -rf build _trial_temp _test_memory .built
	rm -f `find src *.egg -name '*.so' -or -name '*.pyc'`
	rm -rf support dist
	rm -rf `ls -d *.egg | grep -vEe"setuptools-|setuptools_darcs-|darcsver-"`
	rm -rf *.pyc
	rm -f bin/tahoe bin/tahoe.pyscript
	rm -f *.pkg

.PHONY: distclean
distclean: clean
	rm -rf src/*.egg-info
	rm -f src/allmydata/_version.py
	rm -f src/allmydata/_appname.py


.PHONY: find-trailing-spaces
find-trailing-spaces:
	$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

.PHONY: -find-trailing-spaces
-find-trailing-spaces:
	-$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

.PHONY: fetch-and-unpack-deps
fetch-and-unpack-deps:
	@echo "test-and-unpack-deps is obsolete"

.PHONY: test-desert-island
test-desert-island:
	@echo "test-desert-island is obsolete"

.PHONY: test-pip-install
test-pip-install:
	@echo "test-pip-install is obsolete"

# TARBALL GENERATION
.PHONY: tarballs
tarballs:
	$(MAKE) make-version
	$(PYTHON) setup.py sdist --formats=bztar,gztar,zip bdist_wheel

.PHONY: upload-tarballs
upload-tarballs:
	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then for f in dist/*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi

=== debian/changelog ===
tahoe-lafs (1.11.0-1) unstable; urgency=medium

  * new upstream release.
  * d/patches/*: removed, as we no longer need any debian specific patches.
  * d/rules: exclude INSTALL.rst from the installed docs, as it is not needed
    for binary packages.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 31 Mar 2016 15:10:19 +0530

tahoe-lafs (1.11.0b1-1) unstable; urgency=medium

  * new upstream beta release
  * d/patches/series: disable all debian specific patches.
  * d/rules: rename allmydata-tahoe to tahoe-lafs.
  * d/rules: pass install_layout=deb
  * d/tahoe-lafs.install: delete bin path, as we use install_layout=deb
  * d/tahoe-lafs.manpages: update the manpage path.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 30 Mar 2016 18:25:58 +0530

tahoe-lafs (1.10.2-3) unstable; urgency=medium

  * debian/tahoe-lafs.init: Fix the argument order in the init script.
    Thanks to James Valleroy <jvalleroy@mailbox.org> for the patch.
    (Closes: #800419)
  * debian/control: Bump up the standards version.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Tue, 15 Mar 2016 11:36:47 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Micah Anderson <micah@debian.org>, Bert Agaz <bertagaz@ptitcanardnoir.org>
 Build-Depends: debhelper (>= 9), python-setuptools, python-dev,
  python-twisted (>= 13.0.0), dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tahoe/tahoe.git
 Homepage: http://tahoe-lafs.org/trac/tahoe

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=tahoe-lafs

%:
	dh $@ --with python2 --buildsystem=python_distutils --install_layout=deb

override_dh_prep:
	dh_prep
	mv src/tahoe_lafs.egg-info src/tahoe_lafs.egg-info.orig

override_dh_install:
	dh_install
	chmod 755 debian/$(package)/usr/share/munin/plugins/*

	rm -rf src/tahoe_lafs.egg-info
	mv src/tahoe_lafs.egg-info.orig src/tahoe_lafs.egg-info

override_dh_installdocs:
	dh_installdocs --exclude=INSTALL.rst
	dh_installchangelogs -k NEWS.rst
